using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.CM;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：演练总结要求
    /// </summary>
    [Description("演练总结要求")]
    public class T_CM_DRILL_SUMMARY_REQUIREMENT : MesEntityBase
    {
        /// <summary>
        ///应急演练活动记录编号
        /// </summary>
        [Description("应急演练活动记录编号")]
        [DataFieldForeignKey("Nav_Record", "Nav_ListSummaryRequirement")]
        public Guid RECORD_ID { get; set; }
        
        /// <summary>
        /// 导航属性：潜在紧急事件
        /// </summary>
        [Description("导航属性：应急演练活动记录")]
        public virtual T_CM_DRILL_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 总结要求
        /// </summary>
        [Description("总结要求")]
        [DataFieldForeignKey("Nav_TypeRequirement")]
        public Guid TYPE_ID { get; set; }

        /// <summary>
        /// 导航属性：总结要求项目
        /// </summary>
        [Description("导航属性：总结要求项目")]
        public virtual T_CM_DRILL_SUMMARY_REQUIREMENT_TYPE Nav_TypeRequirement { get; set; }

        /// <summary>
        /// 总结要求结果
        /// </summary>
        [Description("总结要求结果")]
        public bool ISOK { get; set; }
    }
}
